@font-face {
    font-family: 'Montserrat Black';
    src: url('../font/Montserrat/Montserrat-Black.ttf');
}

@font-face {
    font-family: 'Montserrat Bold';
    src: url('../font/Montserrat/Montserrat-Bold.ttf');
}

@font-face {
    font-family: 'Montserrat Light';
    src: url('../font/Montserrat/Montserrat-Light.ttf');
}

@font-face {
    font-family: 'Montserrat Medium';
    src: url('../font/Montserrat/Montserrat-Medium.ttf');
}

@font-face {
    font-family: 'Montserrat Regular';
    src: url('../font/Montserrat/Montserrat-Regular.ttf');
}

@font-face {
    font-family: 'Montserrat SemiBold';
    src: url('../font/Montserrat/Montserrat-SemiBold.ttf');
}



* {
    font-family: 'Montserrat Regular';
}

body {
    background-color: #F7F7F7 !important;
}

.row {
    margin-left: 0% !important;
}



.navbar-nav {}


@media (min-width: 992px) {
    .collapse.navbar-collapse {
        display: flex;
        flex-direction: row;
        justify-content: center;
    }

}





.carrousel {
    width: 100%;
    height: auto;
}

.carousel-item {
    position: relative;
    max-height: 98%;
    width: 100% !important;
}

.carousel-item img {
    height: 98%;
    max-height: 98%;
    width: 100% !important;
    object-fit: cover;
}

.carousel-item img::before {
    content: "";
    height: 100%;
    width: 100% !important;
    background-color: blue;
    opacity: .8;
}

.carousel-caption {
    display: flex !important;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
    animation: fadein 1s;
    -moz-animation: fadein 1s;
    /* Firefox */
    -webkit-animation: fadein 1s;
    /* Safari and Chrome */
    -o-animation: fadein 1s;
    /* Opera */
}


@keyframes fadein {
    from {
        opacity: 0;
        transform: translateY(-100px);
    }

    to {
        opacity: 1;
        transform: translateY(0%);
    }
}

.couche {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #222567bc;
    display: none;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}



section {
    margin-bottom: 20px;
}

.souligner {
    background-color: #445D0A;
    height: 8px;
    width: 100px;
    border-radius: 10px;
    margin-top: -40px;
}

.sectionService {
    background-color: #F3F3F2;
}

.titre-section {
    margin-bottom: 20px;
    margin-top: 80px;

}

.titre-section .titre {
    margin-top: auto;
    margin-bottom: auto;
}

.titre-section .titre {
    color: #445D0A;
    font-family: 'Montserrat Bold';
    z-index: 1;
    padding-bottom: 50px;
}

.titre-section .svg-titre {
    width: 60px !important;
}

.titre-section svg {
    margin-left: -20px;
    margin-bottom: 30px;
    z-index: 3;
    width: 100%;
    max-width: 100%;
    height: auto;
}

.service {
    padding: 13px;
    background-color: #E7E9E6;
    border-radius: 8px;
    box-shadow: 0px 7px 12px #00000015;
    opacity: 0;
    cursor: pointer;
    transform: translateY(100px);
    transition: opacity 0.8s ease-in-out, transform 0.8s ease-in-out;
}

.service:hover {
    background-color: #445D0A;
    transition: 0.7s;
    box-shadow: 0px 7px 12px #0000004e;
}

.service:hover * {
    color: white !important;
    transition: 0.7s;
}

.service.construction {
    background-color: #445D0A;
}

.service.construction p {
    color: white;
}


.service.active {
    opacity: 1;
    transform: translateY(0);
}

.titre-service * {
    margin-left: auto;
    margin-right: auto;
}

.service p {
    text-align: center;
}

.titre-service .titre {
    color: black;
    font-family: 'Montserrat SemiBold';
    text-align: center;
    z-index: 1;
    padding-bottom: 25px;
    margin-top: 10px;
}

.service.construction .titre-service .titre {
    color: white;
}

.nav-pills {
    justify-content: center;
}

.nav-pills .nav-link {
    color: black;
    border-radius: 20px !important;
    border: 1px solid rgba(0, 0, 0, 0.514);
    margin-inline: 3px;

}

.nav-pills .nav-link:not(:active):hover {
    background-color: #F3F3F2;
    box-shadow: 0px 1px 2px #00000059;

}

.nav-pills .nav-link.active {
    background-color: #D3AF37 !important;
    border: none;
    box-shadow: 0px 7px 10px #0000001b !important;
    border: 1px solid #D3AF37;
    font-family: 'Montserrat SemiBold';
    color: white !important;
}

.galerie {
    margin-bottom: 10px;
    margin-top: 5px;
    box-shadow: 0px 3px 6px #0000000e;
    padding: 25px;
    border-radius: 20px;
    background-color: white;
    margin-left: 30px;

}

.goupe-galerie {
    overflow-x: scroll;
    margin-top: 20px;
}




.groupe-image {
    padding: 5px;
}

.bouton-galerie {
    cursor: pointer;

}

.bouton-galerie:hover svg path {
    fill: #D3AF37;
    transition: 0.3s;


}

.groupe-image .image {
    width: 250px;
    height: 180px;
    margin-right: 10px;
    position: relative;
    opacity: 0;

    transition: opacity 0.8s ease-in-out;
}

.groupe-image .image.active {
    opacity: 1;
}



.groupe-image .image img {
    width: 100%;
    max-width: 100%;
    height: 100%;
    border-radius: 10px;
    object-fit: cover;
}

.overlay,
.couche-image {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #000000a3;
    display: none;
    border-radius: 10px;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.couche-image {
    display: flex !important;
    border-radius: 0px;
}


.image:hover .overlay {
    display: flex;
    transition: 0.5s;
    animation: fadein2 0.5s;
}

@keyframes fadein2 {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.btn-view-image {
    cursor: pointer;
}

.partenaires {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.partenaire {
    border-radius: 50%;
    width: 80px;
    height: 80px;
    background-color: #a9a9a9;
    margin-inline: 10px;
    margin-top: 5px;
}


footer {
    background-color: #EFEFEF;
    padding-top: 20px;
    padding-bottom: 10px;
}

.link-footer {
    margin-top: 30px;
    margin-bottom: 20px;
}

.link-footer a {
    margin-inline: 20px;
}

li {
    list-style-type: none;
}


.contacts {
    padding: 20px;
    border-top: 1px solid #c8c8c8;
}

.contacts svg {
    width: 20px;
    max-width: 20px;
    height: auto;
    margin-right: 3px;
}

.btn-fermer-modal {
    color: white !important;
    background-color: #D3AF37 !important;
}

.btn-fermer-modal:hover {
    color: white !important;
    background-color: #dabd5f !important;
}


.nav-link.liens {
    font-family: 'Montserrat Bold';

}

.nav-link:hover {
    color: #D3AF37 !important;
}

.contact-head {
    border-bottom: 1px solid #e3e3e3;
    padding: 7px;
    padding-inline: 10px;
    background-color: #D3AF37;
    border-radius: 5px;
    cursor: pointer;
    width: fit-content;

}

.contact-head .num-tel {
    text-align: center !important;

}

.contact-head path {
    fill: white;
}

.contact-head span {
    color: white;
    font-family: 'Montserrat Bold' !important;

}

.num-tel {
    margin-right: 10px;
    padding: 5px;
}

.num-tel span {
    font-family: 'Montserrat Medium';
}

.num-tel svg {
    width: 20px;
    max-width: 20px;
    height: auto;
    margin-right: 8px;
}

.modal-dialog {
    max-width: 570px !important;

}

.modal-header {
    border-bottom: none !important;
    padding-bottom: 1px !important;
}

.modal-footer {
    border-top: none !important;
    padding-top: 1px !important;

}

.modal-title {
    font-family: 'Montserrat Medium';
}













/* Barre de défilement */
::-webkit-scrollbar {
    width: 12px;
    height: 8px;
}

/* Curseur de la barre de défilement */
::-webkit-scrollbar-thumb {
    background-color: #ccc;
    border-radius: 10px;
}

/* Fond de la barre de défilement */
::-webkit-scrollbar-track {
    background-color: #f1f1f1;
}

/* Barre de défilement - Firefox */
::-moz-scrollbar {
    width: 12px;
    height: 8px;
}

/* Curseur de la barre de défilement - Firefox */
::-moz-scrollbar-thumb {
    background-color: #ccc;
    border-radius: 10px;
}

/* Fond de la barre de défilement - Firefox */
::-moz-scrollbar-track {
    background-color: #f1f1f1;
}